1. Webhook
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Core Concepts
    • Statuses
    • Status Codes
  • Guides
    • Idempotency
    • Metadata
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Confirm Payment
      POST
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
  • Files
    • Upload File
  • Webhook
    • Overview
    • Event Types
    • Verifying
    • Payment Event
    • Payout Event
    • Appeal Event
  1. Webhook

Appeal Event

Webhook
POST
onAppealEvent

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'User-Agent: Casharc-Webhooks/1.0' \
--header 'X-Timestamp: 1767228910' \
--header 'X-Signature: 57e1d6a76411ba19eb6725bd05e6142ea5987f988ec3b71b1b041b230d60bb84' \
--header 'Content-Type: application/json' \
--data '{
    "id": "evt_2n1TKXh5tX7P1Rfr",
    "type": "appeal.approved",
    "created_at": "2026-01-01T00:55:10Z",
    "data": {
        "id": "apl_2n5nMVAepGqUFHo8",
        "transaction_id": "txn_2n1TLgiZFvF7DZuL",
        "requested": {
            "amount": "1000.00",
            "currency": "XTS"
        },
        "resolved": {
            "amount": "1000.00",
            "currency": "XTS"
        },
        "attachments": [
            {
                "type": "receipt",
                "file_id": "file_2n5nK8HXcf77PuRT",
                "name": "receipt_10426.pdf",
                "url": "https://api.casharc.pro/merchant/v1/files/file_2n5nK8HXcf77PuRT/content"
            }
        ],
        "status": "approved",
        "status_code": "approved",
        "created_at": "2026-01-01T00:52:00Z",
        "finalized_at": "2026-01-01T00:55:10Z",
        "metadata": {}
    }
}'
Response Response Example
{}
Previous
Payout Event
Built with